from sql import *
from sqlmodel import select

import hashlib

def hash_password(password: str, salt: int = None):
    password = f"{password}{salt}"
    return hashlib.sha256(password.encode()).hexdigest()

def get_user_by_email(email: str, session) -> User | None:
    statement = select(User).where(User.email == email)
    return session.exec(statement).first()

def get_user_by_id(id: str, session: SessionDep) -> User | None:
    statement = select(User).where(User.id == id)
    return session.exec(statement).first()